
Base Distribution - Task # 52175

Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2013-09-22 Assigned To: Rens Admiraal
Updated: 2013-09-23 Due date:
Subject: Prepend neos CSS with neos-
Description

As our current 'foundation' of the CSS is based on bootstrap we will (and do) have lots of issues with bootstrap upgrades and Neos
backend CSS stability. To work around this we rename all our CSS classes and prepend them with neos-

Associated revisions
Revision 2fd131ad - 2013-09-23 12:07 - Rens Admiraal

[TASK] Prepend base CSS with neos-

To prevent issues with Bootstrap 3 and future releases of Bootstrap
and other CSS frameworks we prepend all classnames we took over
from the original Bootstrap implementation with neos-.

Fixes: #52175
Change-Id: I5689792e0bbb68d798d3e22a5fa6edf292c74e58
Reviewed-on: https://review.typo3.org/23941
Tested-by: Mr. Hudson
Reviewed-by: Karsten Dambekalns
Tested-by: Karsten Dambekalns
Tested-by: Robert Lemke
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal
Reviewed-by: Robert Lemke

Revision 96e8d73f - 2013-09-23 22:33 - Rens Admiraal

[BUGFIX] Notification styling is broken since CSS classname prepend

The grunt replace file did a double replace on the notification
template, first on the literal HTML, later on class=".

Change-Id: I3d482c64602b02810635e59a74da9005ee6aadca
Related: #52175
Reviewed-on: https://review.typo3.org/23997
Reviewed-by: Aske Ertmann
Tested-by: Mr. Hudson
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal

Revision 38c79ef7 - 2013-09-24 17:35 - Rens Admiraal
[BUGFIX] _StyleWorkInProgress.scss contains invalid classnames

Change-Id: I364d9ba990ed6ca554736c3fb53049b87f473c2f
Related: #52175
Reviewed-on: https://review.typo3.org/24022
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal

Revision f92daa9a - 2013-09-24 20:13 - Rens Admiraal

[BUGFIX] Correct styling issues after CSS classname prepend

I5689792e0bbb68d798d3e22a5fa6edf292c74e58 introduced a few regressions.
This change fixes:
    -  missing styling in the wireframe mode
    -  breadcrumb in inspector does not open
    -  broken module styling

Related: #52175

Change-Id: I62a47b647223cb8716346b9124c477413885f120
Reviewed-on: https://review.typo3.org/23976
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal

Revision 6b26a6c8 - 2013-09-24 20:29 - Rens Admiraal

[BUGFIX] Thumbnails styling is missing from Neos

The thumbnails styling for Neos is removed as it wasn't used in
the TYPO3.Neos package, but it is used in TYPO3.Media.

This change adds the classes and prepends them with neos-.

Change-Id: I89c1f533ce2be1d1b6654439fabcc31f5e0c59d0
Related: #52175
Reviewed-on: https://review.typo3.org/24020
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision b3a5cbd1 - 2013-09-24 20:29 - Rens Admiraal

[BUGFIX] Media browser styling is broken in Neos

After the renaming of CSS classnames in Neos the styling of the
media browser is completely broken. This change updates the
classnames used. This does effect the way the media browser
can be used standalone, but is currently the best choice for
displaying it correctly in Neos.

Change-Id: Iccca28e9dcf2427e401be48e1a44cbe42ba17088
Related: #52175
Reviewed-on: https://review.typo3.org/24019
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision b9830e3b - 2013-09-25 09:38 - Rens Admiraal

[BUGFIX] Create new document node modal is broken

Since the CSS classname prepend the modal for creating a new
document node was broken as this template file still contains
unprepended classes. This change prepends the missed classnames.

Change-Id: Ia26cd2d475c4b6358aa2c42ca09dac8bbcdea0ff
Related: #52175
Reviewed-on: https://review.typo3.org/24035
Reviewed-by: Aske Ertmann
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal
Reviewed-by: Robert Lemke
Tested-by: Robert Lemke

Revision fa22837a - 2013-09-27 10:39 - Aske Ertmann

[BUGFIX] Re-add default styling of icons

Change-Id: Ifad06cfa3e71d64290db3acb185a7d3425dbfa13
Related: #52175
Reviewed-on: https://review.typo3.org/24030
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal

Revision 863628e8 - 2013-09-27 10:50 - Aske Ertmann

[BUGFIX] Add missing neos- prefix to menu section collapse

Change-Id: I0b69004c0dc8ec05e0483aa9ccd294c7dcf1bcad
Related: #52175
Reviewed-on: https://review.typo3.org/24031
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal

Revision 210f4aa9 - 2013-09-28 12:42 - Aske Ertmann

[BUGFIX] Backend module overview is broken

Since the CSS classname prefix the backend module
overview page styling is broken. This change fixes
the styling.

Change-Id: I25e9bfbdf9757e6ee9a15dedb4be30e732ba6927
Related: #52175
Reviewed-on: https://review.typo3.org/24028
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision e582a394 - 2013-09-29 07:55 - Aske Ertmann

[BUGFIX] Fix arrow alignment on inspector validation errors

Change-Id: I43f9d065f54792776909e1ea110bdd3dcb4e5dbd
Related: #52175
Reviewed-on: https://review.typo3.org/24029
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann
Reviewed-by: Sebastian Kurfuerst
Tested-by: Sebastian Kurfuerst

Revision ed693375 - 2013-10-01 11:40 - Aske Ertmann

[BUGFIX] Inspector apply button is not visible

Change-Id: I0faee2eaa7d08814f8c9c519e88f362234216c50
Related: #52175
Reviewed-on: https://review.typo3.org/24203
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

Revision 59ce076d - 2013-10-22 14:15 - Rens Admiraal

[BUGFIX] Setup wizard has incorrect styling

The setup wizard does not include the prefixed Neos css but plain
bootstrap. For this reason we should not prefix the classes used.

Change-Id: Iec61a2af9f5e728421784359b303383f57c4b69f
Related: #52175
Reviewed-on: https://review.typo3.org/24823
Reviewed-by: Aske Ertmann
Tested-by: Aske Ertmann

History
#1 - 2013-09-22 16:44 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23941

#2 - 2013-09-22 19:26 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23941

#3 - 2013-09-22 22:35 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23941

#4 - 2013-09-23 11:00 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23941

#5 - 2013-09-23 12:36 - Rens Admiraal
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:2fd131adefcfc3840e48d450fc0304bafb6a82a9.
